#ifndef MAPHEXOBJECTH
#define MAPHEXOBJECTH 1

#include "commondefs.h"

class tMapHexObject {
public:
	tMapHexObject();
	tMapHexObject(ifstream& fpin);
	~tMapHexObject();
	void mWriteToDB(ofstream& fpout);
	void mWriteToReport(ofstream& fpout);
	void mModifyHex();
	void mHalveCurrDV() { currdv = (maxdv >> 1); }
	void mAdjustMaxDV(long adj) { maxdv = maxdv + adj; }
	void mAdjustCurrDV(long adj) { currdv = currdv + adj; }
	void mAdjustMaxEcon(long adj) { maxecon = maxecon + adj; }
	void mAdjustCurrEcon(long adj) { currecon = currecon + adj; }
private:
	// data fields, in order they appear in the database
	long size1, size2;
	long hdrsize;
	char *header;
	long seperator;
	char objheader[6];
	long identifier;
	char unknown[9];
	long row;
	long column;
	long race;
	long terrain;
	long planet;
	long base;
	long maxecon, currecon;
	long maxdv, currdv;
	long maximpa, maximpb, currimpa, currimpb;
	char *unknown2; // the balance ofthe object size, if any
	long remaininglen;
	long cartel, cartelcurrdv, cartelmaxdv;
	long opmarkerA, opmarkerB, opmarkerC, opmarkerD, opmarkerE, opmarkerF, opmarkerG, opmarkerH, opmarkerI;
};

#endif